#!/usr/bin/env python
from datetime import datetime as dt
from subprocess import run
# from glob import glob

# dir_name = f'seeding_studies_{dt.strftime(dt.now(), "%Y_%m_%d_%H")}'
# remote = 'caleb@fangmeier.tech:/var/www/eg/'
# run(('rm', '-rf', dir_name))
# run(('mkdir', '-p', dir_name+'/output'))
# for gdir in glob('../hists*'):
#     run(('cp', '-r', gdir, dir_name))
# run(('cp', '-r', 'output', dir_name))
#
# run(('scp', '-r', dir_name, remote))
# print(f'Data available at https://eg.fangmeier.tech/{dir_name}/')



data_dir = "../hists/"
par_dir = "dashboard"
dir_name = f'{par_dir}_{dt.strftime(dt.now(), "%Y_%m_%d_%H")}'
remote = f'caleb@fangmeier.tech:/var/www/eg/'
run(('rm', '-rf', dir_name))
# run(('mkdir', '-p', dir_name))
run(('cp', '-r', par_dir, dir_name))
run(('cp', '-r', data_dir, dir_name))

run(('scp', '-r', dir_name, remote))
print(f'Data available at https://eg.fangmeier.tech/{dir_name}/')
